| Home | Libraries | People | FAQ | More

###### basic_flat_buffer::basic_flat_buffer (5 of 10 overloads)

Move Constructor.

###### Synopsis

    basic_flat_buffer(
        basic_flat_buffer&& other);

###### Description

The container is constructed with the contents of `other` using move semantics. The maximum size will be the same as the moved-from object.

Buffer sequences previously obtained from `other` using `data` or `prepare` remain valid after the move.

###### Parameters

Name | Description
--- | ---
`other` | The object to move from. After the move, the moved-from object will have zero capacity, zero readable bytes, and zero writable bytes.

###### Exception Safety

No-throw guarantee.